- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.transformers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.transformers/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.transformers/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.transformers/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.transformers/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.transformers/list#body.ListTransformerDefinitionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.transformers/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.transformers/list#body.aspect_1)

**Full name**: projects.locations.instances.integrations.transformers.list

Lists all TransformerDefinitions for a specific integration. Use this method to browse the available transformers. Supports filtering.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/transformers`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The integration to list Transformer Definitions for. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of Transformer Definitions to return. The service may return fewer than this value. If unspecified, at most 100 Transformer Definitions will be returned. The maximum value is 200; values above 200 will be coerced to 200. |
| `pageToken` | `string` Optional. A page token, received from a previous `transformers.list` call. Provide this to retrieve the subsequent page. |
| `filter` | `string` Optional. A filter that can be used to filter the list of Transformer Definitions. |
| `orderBy` | `string` Optional. A field that can be used to sort the list of Transformer Definitions. |
| `excludeStaging` | `boolean` Optional. Exclude staging transformers from the response. By default, staging transformers are included. |
| `expand` | `string` Optional. Expand the response with the full transformer details. |

### Request body

The request body must be empty.

### Response body

Response message for listing Transformer Definitions.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "transformers": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.transformers#TransformerDefinition`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `transformers[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.transformers#TransformerDefinition`)`` The list of Transformer Definitions. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total number of Transformer Definitions. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.transformerDefinitions.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).